/** -*- c++ -*- */
#ifndef AKAXISO_ISTREAM_INPUTSTREAM_H__
#define AKAXISO_ISTREAM_INPUTSTREAM_H__

#include <xercesc/sax/InputSource.hpp>
#include <iosfwd>

namespace aka2 {

  class IStreamInputSource : public xercesc::InputSource {
  public:
    IStreamInputSource(std::istream &istm);
    virtual xercesc::BinInputStream *makeStream() const;
  private:
    std::istream &istm_;
  };

}

#endif
